japa.parser

## Class ASTParserTokenManager

- java.lang.Object
- - japa.parser.ASTParserTokenManager

All Implemented Interfaces:
  ASTParserConstants

    public class ASTParserTokenManager
    extends Object
    implements ASTParserConstants

Token Manager.

### Field Summary

Fields
`protected char` `curChar`
`PrintStream` `debugStream` Debug output.
`protected JavaCharStream` `input_stream`
`static int[]` `jjnewLexState` Lex State array.
`static String[]` `jjstrLiteralImages` Token literal values.
`static String[]` `lexStateNames` Lexer state names.

### Fields inherited from interface japa.parser.ASTParserConstants

`_DEFAULT, ABSTRACT, ANDASSIGN, ASSERT, ASSIGN, AT, BANG, BIT_AND, BIT_OR, BOOLEAN, BREAK, BYTE, CASE, CATCH, CHAR, CHARACTER_LITERAL, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMAL_EXPONENT, DECIMAL_FLOATING_POINT_LITERAL, DECIMAL_LITERAL, DECR, DEFAULT, DO, DOT, DOUBLE, ELLIPSIS, ELSE, ENUM, EOF, EQ, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FLOATING_POINT_LITERAL, FOR, GE, GOTO, GT, HEX_LITERAL, HEXADECIMAL_EXPONENT, HEXADECIMAL_FLOATING_POINT_LITERAL, HOOK, IDENTIFIER, IF, IMPLEMENTS, IMPORT, IN_JAVA_DOC_COMMENT, IN_MULTI_LINE_COMMENT, INCR, INSTANCEOF, INT, INTEGER_LITERAL, INTERFACE, JAVA_DOC_COMMENT, LBRACE, LBRACKET, LE, LETTER, LONG, LONG_LITERAL, LPAREN, LSHIFT, LSHIFTASSIGN, LT, MINUS, MINUSASSIGN, MULTI_LINE_COMMENT, NATIVE, NE, NEW, NULL, OCTAL_LITERAL, ORASSIGN, PACKAGE, PART_LETTER, PLUS, PLUSASSIGN, PRIVATE, PROTECTED, PUBLIC, RBRACE, RBRACKET, REM, REMASSIGN, RETURN, RPAREN, RSIGNEDSHIFT, RSIGNEDSHIFTASSIGN, RUNSIGNEDSHIFT, RUNSIGNEDSHIFTASSIGN, SC_AND, SC_OR, SEMICOLON, SHORT, SINGLE_LINE_COMMENT, SLASH, SLASHASSIGN, STAR, STARASSIGN, STATIC, STRICTFP, STRING_LITERAL, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TILDE, tokenImage, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE, XOR, XORASSIGN`

### Constructor Summary

Constructors
Constructor and Description
`ASTParserTokenManager(JavaCharStream stream)` Constructor.
`ASTParserTokenManager(JavaCharStream stream, int lexState)` Constructor.

### Method Summary

Methods
`Token` `getNextToken()` Get the next Token.
`protected Token` `jjFillToken()`
`void` `ReInit(JavaCharStream stream)` Reinitialise parser.
`void` `ReInit(JavaCharStream stream, int lexState)` Reinitialise parser.
`void` `setDebugStream(PrintStream ds)` Set debug output.
`void` `SwitchTo(int lexState)` Switch to specified lex state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### debugStream

    public PrintStream debugStream

Debug output.

#### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

Token literal values.

#### lexStateNames

    public static final String[] lexStateNames

Lexer state names.

#### jjnewLexState

    public static final int[] jjnewLexState

Lex State array.

#### input_stream

    protected JavaCharStream input_stream

#### curChar

    protected char curChar

### Constructor Detail

#### ASTParserTokenManager

    public ASTParserTokenManager(JavaCharStream stream)

Constructor.

#### ASTParserTokenManager

    public ASTParserTokenManager(JavaCharStream stream,
                         int lexState)

Constructor.

### Method Detail

#### setDebugStream

    public void setDebugStream(PrintStream ds)

Set debug output.

#### ReInit

    public void ReInit(JavaCharStream stream)

Reinitialise parser.

#### ReInit

    public void ReInit(JavaCharStream stream,
              int lexState)

Reinitialise parser.

#### SwitchTo

    public void SwitchTo(int lexState)

Switch to specified lex state.

#### jjFillToken

    protected Token jjFillToken()

#### getNextToken

    public Token getNextToken()

Get the next Token.